QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++20

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

INCLUDEPATH += .  lib

linux {
    #LIBS += -lpigpio -lpigpiod_if2 -lrt
    # FIXME SOURCES +=
}

windows
{
   #LIBS += -L$$PWD/can_api -lmhstcan -lAdvapi32
}

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    bc.cpp \
    bcdatamanager.cpp \
    bcdatamodel.cpp \
    bcdatavalue.cpp \
    bcdevicepanel.cpp \
    bcitemdelegate.cpp \
    bclegacy.cpp \
    bctoolbutton.cpp \
    bctransmitter.cpp \
    bcvaluetype.cpp \
    lib/can_drv_win.c \
    bccandriver.cpp \
    bccandrivertinycan.cpp \
    main.cpp \
    bcmainwindow.cpp

HEADERS += \
    bc.h \
    bccandriver.h \
    bccandrivertinycan.h \
    bcdatamanager.h \
    bcdatamodel.h \
    bcdatavalue.h \
    bcdevicepanel.h \
    bcitemdelegate.h \
    bcmainwindow.h \
    bctoolbutton.h \
    bctransmitter.h \
    bcvaluetype.h

FORMS += \
    bcdevicepanel.ui \
    bcmainwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    bionxcontrol.qrc
